curl https://api.v2.dealmachine.com/v1/mail/wallet/pricing \
-H "Authorization: Bearer dm_sk_live_xxx"
{
"data": {
"plan_slug": "shared_volume",
"sizes": [
{ "size": "4x6", "price_cents": 62, "label": "Plan price" },
{ "size": "6x9", "price_cents": 77, "label": "Plan price" },
{ "size": "6x11", "price_cents": 88, "label": "Plan price" }
],
"plans": [
{
"plan_name": "Basic",
"prices": [
{ "size": "4x6", "price_cents": 72 },
{ "size": "6x9", "price_cents": 87 },
{ "size": "6x11", "price_cents": 98 }
]
},
{
"plan_name": "Pro",
"prices": [
{ "size": "4x6", "price_cents": 62 },
{ "size": "6x9", "price_cents": 77 },
{ "size": "6x11", "price_cents": 88 }
]
}
]
}
}
Mail Wallet
Get Pricing
Get deterministic postcard pricing for your plan
GET
/
v1
/
mail
/
wallet
/
pricing
curl https://api.v2.dealmachine.com/v1/mail/wallet/pricing \
-H "Authorization: Bearer dm_sk_live_xxx"
{
"data": {
"plan_slug": "shared_volume",
"sizes": [
{ "size": "4x6", "price_cents": 62, "label": "Plan price" },
{ "size": "6x9", "price_cents": 77, "label": "Plan price" },
{ "size": "6x11", "price_cents": 88, "label": "Plan price" }
],
"plans": [
{
"plan_name": "Basic",
"prices": [
{ "size": "4x6", "price_cents": 72 },
{ "size": "6x9", "price_cents": 87 },
{ "size": "6x11", "price_cents": 98 }
]
},
{
"plan_name": "Pro",
"prices": [
{ "size": "4x6", "price_cents": 62 },
{ "size": "6x9", "price_cents": 77 },
{ "size": "6x11", "price_cents": 88 }
]
}
]
}
}
Get postcard pricing per size for your subscription plan. Prices are in cents per postcard and come from Stripe plan metadata. If multiple active plans define a size, the lower price is used.
curl https://api.v2.dealmachine.com/v1/mail/wallet/pricing \
-H "Authorization: Bearer dm_sk_live_xxx"
{
"data": {
"plan_slug": "shared_volume",
"sizes": [
{ "size": "4x6", "price_cents": 62, "label": "Plan price" },
{ "size": "6x9", "price_cents": 77, "label": "Plan price" },
{ "size": "6x11", "price_cents": 88, "label": "Plan price" }
],
"plans": [
{
"plan_name": "Basic",
"prices": [
{ "size": "4x6", "price_cents": 72 },
{ "size": "6x9", "price_cents": 87 },
{ "size": "6x11", "price_cents": 98 }
]
},
{
"plan_name": "Pro",
"prices": [
{ "size": "4x6", "price_cents": 62 },
{ "size": "6x9", "price_cents": 77 },
{ "size": "6x11", "price_cents": 88 }
]
}
]
}
}
⌘I